Bug 39297 - up2date bombs when trying to remove packages from skip list
up2date bombs when trying to remove packages from skip list
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-06 23:43 EDT by Jim Wright
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-06 23:43:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Wright 2001-05-06 23:43:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)

Description of problem:
Just installed 7.0, fresh install (but kept old /home, which should not
matter).  First
retrieved the latest rp-pppoe package, since the redhat version doesn't
work for
me.  Then tried to run up2date.  All went well until the small dialog came
up with
"Removing packages with files marked to skip from list".  Last time at 34%,
this time
at 18%, up2date died with the following traceback.

% up2date
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date/gui.py", line 164, in onStartPageNext
    (self.pkgList, self.skipPkgList) =
up2date.getUpdatedPackageList(pwin.setLabel, pwin.setProgress)
  File "/usr/share/rhn/up2date/up2date.py", line 894, in
getUpdatedPackageList
    progressCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 851, in
removeSkipFilesPackagesFromList
    if checkModified(h, f_i):
  File "/usr/share/rhn/up2date/up2date.py", line 786, in checkModified
    if installedFileMD5s[j] != md5(fileName):
  File "/usr/share/rhn/up2date/up2date.py", line 218, in md5
    f = open(fileName, "r")
IOError: [Errno 2] No such file or directory: '/etc/ntp/step-tickers'

% rpm -V up2date
S.5....T   /usr/share/rhn/up2date/config.pyc
S.5....T   /usr/share/rhn/up2date/up2date.pyc

% rpm -q up2date
up2date-2.0-4

% rpm -V ntp
S.5....T c /etc/ntp.conf
..?..... c /etc/ntp/keys
missing    /etc/ntp/step-tickers

not sure where step-tickers went, as this is a fresh install.  I did run
"ntpdate" once,
and then added a server to /etc/ntp.conf.  I have not started ntpd.

I touched /etc/ntp/step-tickers, and was able to get up2date to run. 
(Tried to only get
up2date on first pass, but if didn't figure out all dependencies.  Ended up
installing
following by hand:

python-xmlrpc-1.4-1.i386.rpm
rpm-4.0.2-7x.i386.rpm
rpm-build-4.0.2-7x.i386.rpm
rpm-devel-4.0.2-7x.i386.rpm
rpm-python-4.0.2-7x.i386.rpm
up2date-2.5.4-1.i386.rpm
up2date-gnome-2.5.4-1.i386.rpm
usermode-1.37-2.i386.rpm

then did:

% rpm --rebuilddb

and all seems to go well.  (I'm quitting netscape before installing the new
version,
so I assume it works.)

How reproducible:
Always

Steps to Reproduce:
1. up2date


Additional info:

seems that up2date can't cope with a missing file.
Comment 1 Jay Turner 2001-05-07 07:55:28 EDT
This issue is resolved in the new versions of up2date.  Prior to that, up2date
had trouble dealing with ghost files in packages.  Should be working for you
with the latest update.

Note You need to log in before you can comment on or make changes to this bug.